Name:           vblade
Version:        21
Release:        %mkrel 2
Summary:        Virtual EtherDrive (R) blade daemon

Group:          System/Kernel and hardware
License:        GPLv2
URL:            http://sourceforge.net/projects/aoetools/
Source0:        http://dl.sf.net/aoetools/%{name}-%{version}.tgz
Source1:        %{name}.init
Source2:        %{name}.conf
Source3:        %{name}-tmpfiles.conf
Patch0:         %{name}-makefile.patch
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
The vblade is the virtual EtherDrive (R) blade, a program that makes a
seekable file available over an ethernet local area network (LAN) via
the ATA over Ethernet (AoE) protocol.

The seekable file is typically a block device like /dev/md0 but even
regular files will work.  When vblade exports the block storage over
AoE it becomes a storage target.  Another host on the same LAN can
access the storage if it has a compatible aoe kernel driver.

%post
%_tmpfilescreate %{name}
%_post_service %name

%preun
%_preun_service %name

%files
%doc COPYING HACKING NEWS README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_tmpfilesdir}/%{name}.conf
%{_initrddir}/%{name}
%{_sbindir}/vblade
%{_sbindir}/vbladed
%{_mandir}/man8/vblade.8*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1


%build
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
mkdir  -p $RPM_BUILD_ROOT{_tmpfilesdir}
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 21-2.mga4
+ Revision: 541252
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 21-1.mga4
+ Revision: 495402
- New version

* Sun Mar 24 2013 colin <colin> 14-10.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Wed Jan 16 2013 dmorgan <dmorgan> 14-9.mga3
+ Revision: 388757
- imported package vblade


* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 13 2008 Patrick "Jima" Laughton <jima@beer.tclug.org> 14-4
- Bump-n-build for GCC 4.3

* Wed Aug 22 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 14-3
- Add missing /var/run/vblade/
- Rebuild for BuildID
- License clarification

* Sat Apr 07 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 14-2
- Forced CFLAGS on build

* Wed Apr 04 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 14-1
- Initial Fedora RPM
